////////////////////////////////////////////////////////////////////////////
#include <Sigma.hh>

using namespace std;

////////////////////////////////////////////////////////////////////////////
 void Sigma::InitSigma(char *newtoken, char *sigmafile, char *finalfile) {
    Init=0;
    int length=strlen(newtoken);
    Token = new char[length+1];
    strcpy(Token,newtoken);           // setting the local token 
    Data  = new Table;                // the sigma data
    Data->InitTable(sigmafile);       // initializing the data table
    FinalData = new FinalTable;       //the finalstate data
    cerr << finalfile << endl;
    cerr << sigmafile << endl;
    FinalData->InitTable(finalfile);  // initializing the data table

    if (!FinalData->IsInit() || !Data->IsInit()) 
	cerr << " something wrong in InitSigma " << newtoken << endl;
    else         // everything seems fine
	Init=1;
 }

////////////////////////////////////////////////////////////////////////////
 double Sigma::GetSigma(const GenParticle* nuin, double material[]) {
    double log_e = log10(nuin->momentum().e());
    double sigma = Data->Evaluate(log_e);
    return sigma;
 }
////////////////////////////////////////////////////////////////////////////

