////////////////////////////////////////////////////////////////
// sigmatotal is the sum of all crossections                  //
////////////////////////////////////////////////////////////////
#ifndef SIGMATOTAL
#define SIGMATOTAL
#include <Sigma.hh>
#include <Steer.hh>
#include <SigmaSM.hh>
#include <AnisGlobal.hh>
#include <AnisParticles.hh>
#include <ProcessManager.hh> 


////////////////////////////////////////////////////////////////
 class SigmaTotal {
   public:
     SigmaTotal();
    ~SigmaTotal();
     double GetSigma(HepMC::GenParticle* nuin, double material[]);
     void FillVertex(HepMC::GenVertex*    vtx, double material[]);
   private:
     Sigma **SigmaInclusive;
 };
    
////////////////////////////////////////////////////////////////
#endif 









