#!/usr/bin/perl
# script to test the output of ANIS

use File::Compare;
sub do_test;


# first the electron neutrinos


do_test "electron"; 
do_test "muon"; 
do_test "tau"; 


################################################
sub do_test {
    
    my $what = shift;
    my $ok=0;

    my $outfile="$what"."_tmp.dat";
    my $finalfile="$what"."_out.dat";
    my $steer="$what"."_steer.dat";
    system("(../anis/anis $steer > $outfile) >& /dev/null ");

    if (compare($finalfile,$outfile) == 0){
	print "$what ran through fine! \n";
	$ok =1;
    } else {  
	print "Potential problem with $what! \n";
    }
    return $ok;
    
}
